Project

General

Profile

Bug #11180

editing package filter 'equality type' is impossible

Added by Justin Sherrill almost 4 years ago. Updated 12 months ago.

Status:
Closed
Priority:
High
Assignee:
Category:
Web UI
Target version:
Difficulty:
easy
Triaged:
Yes
Bugzilla link:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

Trying to edit a package filter to change it from 'greater than', 'equal', or 'less than' to another one of those three is nearly impossible.

Changing it from equal to less than or greater than results in an error saying that:

Validation failed: Invalid filter rule specified, 'version' cannot be specified in the same tuple as 'min_version' or 'max_version'

Chaging it from 'less than' to 'greater than' leaves the less than field filled in (may require a page refresh)

Associated revisions

Revision 6e037047 (diff)
Added by Eric D Helms about 3 years ago

Fixes #11180: Package filter rules edit checked for wrong type (#5977)

History

#1 Updated by Eric Helms almost 4 years ago

  • Legacy Backlogs Release (now unused) changed from 31 to 70

#2 Updated by Justin Sherrill over 3 years ago

  • Legacy Backlogs Release (now unused) changed from 70 to 86

#3 Updated by Eric Helms over 3 years ago

  • Legacy Backlogs Release (now unused) changed from 86 to 114

#4 Updated by Eric Helms over 3 years ago

  • Legacy Backlogs Release (now unused) changed from 114 to 86

#5 Updated by Eric Helms over 3 years ago

  • Priority changed from Normal to High

#6 Updated by The Foreman Bot about 3 years ago

  • Status changed from New to Ready For Testing
  • Assignee set to Eric Helms
  • Pull request https://github.com/Katello/katello/pull/5977 added

#7 Updated by Anonymous about 3 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF